<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">

<title>טוטו Extra 1X2 - תוכנת צמצום מהפכנית למילוי טוטו</title>

<meta name="KEYWORDS" content="טוטו, ווינר, וינר, טוטו עולמי, מילוי טוטו, המלצות טוטו, מומחים, צמצום, צימצום, תוכנת טוטו, כדורגל, הימורים, סטטיסטיקה, סטטיסטיקות טוטו, ליינים, יחסי הימור, שערי הימור">

<meta name="DESCRIPTION" content="תוכנת Extra 1X2 היא תוכנה חדשנית למלוי טפסי טוטו, אשר משפרת משמעותית את סיכויי הזכיה בהשואה לשיטות הקיימות.">

<style type="text/css">
<!--
.style2 {font-family: Arial, Helvetica, sans-serif}
.style4 {font-size: 10px}
.style5 {
	font-size: 24px;
	font-weight: bold;
	font-style: italic;
}
-->
</style>

</head>

<body class="style2" dir=rtl> 
  <table width="780" border="0" background="/images/yardtitle.gif" hspace="0" vspace="0" align="center"> 
    <tr> 
      <td height="38" colspan="2"></td>
    </tr>
    <tr>
	  <td width="700" height="36" border="0" ><div align="center" class="style5"></div></td>
	  <td width="80" height="36" border="0"></td>
    </tr>
</table>
  <table width="780" border="1" align="center">
    <tr>
      <td width="774" bordercolor="#97E0F0">
<?php
$MahzorID = $_REQUEST['MahzorID'];
$NickHash = $_COOKIE['NickHash'];
$PWHash = $_COOKIE['PassHash'];

$guess = $_REQUEST["guess"];
$matchnum = $_REQUEST["matchnum"];
$currtime =  date("Y-m-d H:i:s", time()+10*60*60);
$guesstext = $_REQUEST["guesstext"];

If ($_REQUEST['ByPass'] != "")
{
	$NickHash = $_REQUEST['ByPass'];
}

$rc = '';

if ($guess == "")
{
	$rc = "יש לסמן ניחוש (1, X, 2)";
}

if (strlen($guesstext) < 5)
{
	$rc = "יש למלא טקסט קצר עבור ההמלצה.";
}


if ($rc == '')
{
	$dbusername = "ecusers";
	$dbpassword = "toto1X2";
	$dbhostname = "mysql281.secureserver.net:3306";	
	$dbh = mysql_connect($dbhostname, $dbusername, $dbpassword) or die('Error Connecting');
	$selected = mysql_select_db("ecusers",$dbh);
	$closeme = 1;
}

$line1 = "";
$linex = "";
$line2 = "";

if ($rc == '')
{
	$isopenquery = "SELECT Date, Line1, LineX, Line2 FROM MatchTable WHERE MahzorID='".$MahzorID."' AND MatchNum=".$matchnum;
	$result = mysql_query($isopenquery) or die("Failed Query of ".$isopenquery);
	$line1 = (int)(mysql_result($result, 0, 1)*100);
	$linex = (int)(mysql_result($result, 0, 2)*100);
	$line2 = (int)(mysql_result($result, 0, 3)*100);
	
	if (mysql_result($result, 0, 0) < $currtime)
	{
		$rc = "המשחק נסגר להימור…";
	}
}

if ($rc == '')
{
	$query1 = "SELECT NickHash, GameNum FROM GuessTable WHERE NickHash='".$NickHash."' AND MahzorID='".$MahzorID."'";
	$result1 = mysql_query($query1) or die("Failed Query of ".$query1);
	$nres = mysql_num_rows($result1);
	If ($nres > 4)
	{
		$rc = "ניתן לפרסם עד 5 המלצות בכל מחזור משחקים…";
	}
	Else
	{
		for ($r = 0; $r < $nres; $r++)
		{
			if (mysql_result($result1, $r, 1) == $matchnum)
			{
				$rc = "שלחת כבר המלצה למשחק זה.";
			}
		}
	}
	
	if ($rc == '')
	{
		$query1 = "SELECT Nick, WinnerRank FROM UsersTable WHERE NickHash='".$NickHash."'";
		if ($_REQUEST["ByPass"] == "")
		{
			$query1 = $query1." AND PassHash='".$PWHash."'";
		}
		$result1 = mysql_query($query1) or die("Failed Query of ".$query1);
		$nres2 = mysql_num_rows($result1);
		If ($nres2 == 0)
		{
			$rc = "עליך להיות משתמש רשום באתר.";
		}
		Else
		{
			$Nick = mysql_result($result1, 0, 0);
			$Rank = mysql_result($result1, 0, 1);
			if ($Rank == 0) {
				$Rank = 999999;
			}
			
			$currscore = 0;
			if ($guess == "1")
			{
				$currscore = $line1 - 100;
			}
			if ($guess == "X")
			{
				$currscore = $linex - 100;
			}
			if ($guess == "2")
			{
				$currscore = $line2 - 100;
			}
			$query1="INSERT INTO GuessTable ".
					"(Nick, NickHash, Rank, MahzorID, GameNum, Guess, Bonus, Penalty, FreeText) VALUES ".
					"( '".
					$Nick."', '".
					$NickHash."', ".
					$Rank.", '".
					$MahzorID."', ".
					$matchnum.", '".
					$guess."', ".
					$currscore.",".
					"90, '".
					substr(preg_replace("/'/", "", $guesstext),0,500)."' )";
			mysql_query($query1) or die("Failed Query... ".$query1);
		}
	
		if ($nres == 0) {
			$query2 = "INSERT INTO ScoreTable (Nick, NickHash, MahzorID, Score) VALUES ('".$Nick."', '".$NickHash."', '".$MahzorID."', 0)";
			mysql_query($query2) or die("Failed Query... ".$query2);
		}
		
	}
}

if ($closeme == 1) 
{
	mysql_close($dbh);
}

if ($rc == '')
{
	if ($nres < 4) {
		$rc = "הניחוש נשלח בהצלחה<BR><BR><a href=WinFillGuess.aspx>המשך במילוי…</a>";
	}
	else
	{
		$rc = "הניחוש נשלח בהצלחה<BR><BR>הגעת למכסת ההמלצות האפשרית למחזור. בהצלחה!<BR><BR><a href=HomePage.aspx>חזרה לזירה</a>";
	}
	
}
else
{
	$rc = $rc."<BR>לחץ על חזור בדפדפן כדי לחזור לערוך את ניחושך.";
}

?>


<p align="center"><strong><span style="font-size: 18px; font-weight: bold;"><? echo $rc ?></span></strong></p>
<p align="center">&nbsp;</p>
		
		
       </td>
    </tr>
    <tr>
      <td height="15" bordercolor="#97E0F0"><div align="center" class="style4">&copy; Extra Chance 2007</div></td>
    </tr>
  </table>

<p align="center">&nbsp;</p>
<p align="center">&nbsp;</p>
<p align="center">&nbsp;</p>
</body>
</html>
